import { Hono } from "hono"
import { lazy } from "@/util/lazy"
import { crudRoutes } from "./session/crud"
import { messageRoutes } from "./session/message"
import { shareRoutes } from "./session/share"
import { promptRoutes } from "./session/prompt"
import { actionRoutes } from "./session/action"

export const SessionRoutes = lazy(() =>
  new Hono()
    .route("/", crudRoutes)
    .route("/", shareRoutes)
    .route("/", messageRoutes)
    .route("/", promptRoutes)
    .route("/", actionRoutes),
)
